module subsys_tse_tse (
		output wire [31:0] reg_data_out,       //                  control_port.readdata
		input  wire        reg_rd,             //                              .read
		input  wire [31:0] reg_data_in,        //                              .writedata
		input  wire        reg_wr,             //                              .write
		output wire        reg_busy,           //                              .waitrequest
		input  wire [7:0]  reg_addr,           //                              .address
		input  wire        clk,                // control_port_clock_connection.clk
		output wire        mdc,                //           mac_mdio_connection.mdc
		input  wire        mdio_in,            //                              .mdio_in
		output wire        mdio_out,           //                              .mdio_out
		output wire        mdio_oen,           //                              .mdio_oen
		input  wire        xon_gen,            //           mac_misc_connection.xon_gen
		input  wire        xoff_gen,           //                              .xoff_gen
		output wire        magic_wakeup,       //                              .magic_wakeup
		input  wire        magic_sleep_n,      //                              .magic_sleep_n
		input  wire        ff_tx_crc_fwd,      //                              .ff_tx_crc_fwd
		output wire        ff_tx_septy,        //                              .ff_tx_septy
		output wire        tx_ff_uflow,        //                              .tx_ff_uflow
		output wire        ff_tx_a_full,       //                              .ff_tx_a_full
		output wire        ff_tx_a_empty,      //                              .ff_tx_a_empty
		output wire [17:0] rx_err_stat,        //                              .rx_err_stat
		output wire [3:0]  rx_frm_type,        //                              .rx_frm_type
		output wire        ff_rx_dsav,         //                              .ff_rx_dsav
		output wire        ff_rx_a_full,       //                              .ff_rx_a_full
		output wire        ff_rx_a_empty,      //                              .ff_rx_a_empty
		input  wire        ref_clk,            //  pcs_ref_clk_clock_connection.clk
		output wire [31:0] ff_rx_data,         //                       receive.data
		output wire        ff_rx_eop,          //                              .endofpacket
		output wire [5:0]  rx_err,             //                              .error
		output wire [1:0]  ff_rx_mod,          //                              .empty
		input  wire        ff_rx_rdy,          //                              .ready
		output wire        ff_rx_sop,          //                              .startofpacket
		output wire        ff_rx_dval,         //                              .valid
		input  wire        ff_rx_clk,          //      receive_clock_connection.clk
		input  wire        reset,              //              reset_connection.reset
		input  wire [0:0]  rx_analogreset,     //                rx_analogreset.rx_analogreset
		output wire [0:0]  rx_cal_busy,        //                   rx_cal_busy.rx_cal_busy
		input  wire        rx_cdr_refclk,      //                 rx_cdr_refclk.clk
		input  wire [0:0]  rx_digitalreset,    //               rx_digitalreset.rx_digitalreset
		output wire [0:0]  rx_is_lockedtodata, //            rx_is_lockedtodata.rx_is_lockedtodata
		output wire [0:0]  rx_is_lockedtoref,  //             rx_is_lockedtoref.rx_is_lockedtoref
		input  wire [0:0]  rx_set_locktodata,  //             rx_set_locktodata.rx_set_locktodata
		input  wire [0:0]  rx_set_locktoref,   //              rx_set_locktoref.rx_set_locktoref
		output wire        rx_recovclkout,     //     serdes_control_connection.export
		input  wire        rxp,                //             serial_connection.rxp
		output wire        txp,                //                              .txp
		output wire        led_crs,            //         status_led_connection.crs
		output wire        led_link,           //                              .link
		output wire        led_panel_link,     //                              .panel_link
		output wire        led_col,            //                              .col
		output wire        led_an,             //                              .an
		output wire        led_char_err,       //                              .char_err
		output wire        led_disp_err,       //                              .disp_err
		input  wire [31:0] ff_tx_data,         //                      transmit.data
		input  wire        ff_tx_eop,          //                              .endofpacket
		input  wire        ff_tx_err,          //                              .error
		input  wire [1:0]  ff_tx_mod,          //                              .empty
		output wire        ff_tx_rdy,          //                              .ready
		input  wire        ff_tx_sop,          //                              .startofpacket
		input  wire        ff_tx_wren,         //                              .valid
		input  wire        ff_tx_clk,          //     transmit_clock_connection.clk
		input  wire [0:0]  tx_analogreset,     //                tx_analogreset.tx_analogreset
		output wire [0:0]  tx_cal_busy,        //                   tx_cal_busy.tx_cal_busy
		input  wire [0:0]  tx_digitalreset,    //               tx_digitalreset.tx_digitalreset
		input  wire [0:0]  tx_serial_clk       //                 tx_serial_clk.clk
	);
endmodule

