// subsys_tse_tse.v

// Generated using ACDS version 17.1 240

`timescale 1 ps / 1 ps
module subsys_tse_tse (
		output wire [31:0] reg_data_out,       //                  control_port.readdata
		input  wire        reg_rd,             //                              .read
		input  wire [31:0] reg_data_in,        //                              .writedata
		input  wire        reg_wr,             //                              .write
		output wire        reg_busy,           //                              .waitrequest
		input  wire [7:0]  reg_addr,           //                              .address
		input  wire        clk,                // control_port_clock_connection.clk
		output wire        mdc,                //           mac_mdio_connection.mdc
		input  wire        mdio_in,            //                              .mdio_in
		output wire        mdio_out,           //                              .mdio_out
		output wire        mdio_oen,           //                              .mdio_oen
		input  wire        xon_gen,            //           mac_misc_connection.xon_gen
		input  wire        xoff_gen,           //                              .xoff_gen
		output wire        magic_wakeup,       //                              .magic_wakeup
		input  wire        magic_sleep_n,      //                              .magic_sleep_n
		input  wire        ff_tx_crc_fwd,      //                              .ff_tx_crc_fwd
		output wire        ff_tx_septy,        //                              .ff_tx_septy
		output wire        tx_ff_uflow,        //                              .tx_ff_uflow
		output wire        ff_tx_a_full,       //                              .ff_tx_a_full
		output wire        ff_tx_a_empty,      //                              .ff_tx_a_empty
		output wire [17:0] rx_err_stat,        //                              .rx_err_stat
		output wire [3:0]  rx_frm_type,        //                              .rx_frm_type
		output wire        ff_rx_dsav,         //                              .ff_rx_dsav
		output wire        ff_rx_a_full,       //                              .ff_rx_a_full
		output wire        ff_rx_a_empty,      //                              .ff_rx_a_empty
		input  wire        ref_clk,            //  pcs_ref_clk_clock_connection.clk
		output wire [31:0] ff_rx_data,         //                       receive.data
		output wire        ff_rx_eop,          //                              .endofpacket
		output wire [5:0]  rx_err,             //                              .error
		output wire [1:0]  ff_rx_mod,          //                              .empty
		input  wire        ff_rx_rdy,          //                              .ready
		output wire        ff_rx_sop,          //                              .startofpacket
		output wire        ff_rx_dval,         //                              .valid
		input  wire        ff_rx_clk,          //      receive_clock_connection.clk
		input  wire        reset,              //              reset_connection.reset
		input  wire [0:0]  rx_analogreset,     //                rx_analogreset.rx_analogreset
		output wire [0:0]  rx_cal_busy,        //                   rx_cal_busy.rx_cal_busy
		input  wire        rx_cdr_refclk,      //                 rx_cdr_refclk.clk
		input  wire [0:0]  rx_digitalreset,    //               rx_digitalreset.rx_digitalreset
		output wire [0:0]  rx_is_lockedtodata, //            rx_is_lockedtodata.rx_is_lockedtodata
		output wire [0:0]  rx_is_lockedtoref,  //             rx_is_lockedtoref.rx_is_lockedtoref
		input  wire [0:0]  rx_set_locktodata,  //             rx_set_locktodata.rx_set_locktodata
		input  wire [0:0]  rx_set_locktoref,   //              rx_set_locktoref.rx_set_locktoref
		output wire        rx_recovclkout,     //     serdes_control_connection.export
		input  wire        rxp,                //             serial_connection.rxp
		output wire        txp,                //                              .txp
		output wire        led_crs,            //         status_led_connection.crs
		output wire        led_link,           //                              .link
		output wire        led_panel_link,     //                              .panel_link
		output wire        led_col,            //                              .col
		output wire        led_an,             //                              .an
		output wire        led_char_err,       //                              .char_err
		output wire        led_disp_err,       //                              .disp_err
		input  wire [31:0] ff_tx_data,         //                      transmit.data
		input  wire        ff_tx_eop,          //                              .endofpacket
		input  wire        ff_tx_err,          //                              .error
		input  wire [1:0]  ff_tx_mod,          //                              .empty
		output wire        ff_tx_rdy,          //                              .ready
		input  wire        ff_tx_sop,          //                              .startofpacket
		input  wire        ff_tx_wren,         //                              .valid
		input  wire        ff_tx_clk,          //     transmit_clock_connection.clk
		input  wire [0:0]  tx_analogreset,     //                tx_analogreset.tx_analogreset
		output wire [0:0]  tx_cal_busy,        //                   tx_cal_busy.tx_cal_busy
		input  wire [0:0]  tx_digitalreset,    //               tx_digitalreset.tx_digitalreset
		input  wire [0:0]  tx_serial_clk       //                 tx_serial_clk.clk
	);

	subsys_tse_tse_altera_eth_tse_171_qovqdci tse (
		.reg_data_out       (reg_data_out),       //  output,  width = 32,                  control_port.readdata
		.reg_rd             (reg_rd),             //   input,   width = 1,                              .read
		.reg_data_in        (reg_data_in),        //   input,  width = 32,                              .writedata
		.reg_wr             (reg_wr),             //   input,   width = 1,                              .write
		.reg_busy           (reg_busy),           //  output,   width = 1,                              .waitrequest
		.reg_addr           (reg_addr),           //   input,   width = 8,                              .address
		.clk                (clk),                //   input,   width = 1, control_port_clock_connection.clk
		.mdc                (mdc),                //  output,   width = 1,           mac_mdio_connection.mdc
		.mdio_in            (mdio_in),            //   input,   width = 1,                              .mdio_in
		.mdio_out           (mdio_out),           //  output,   width = 1,                              .mdio_out
		.mdio_oen           (mdio_oen),           //  output,   width = 1,                              .mdio_oen
		.xon_gen            (xon_gen),            //   input,   width = 1,           mac_misc_connection.xon_gen
		.xoff_gen           (xoff_gen),           //   input,   width = 1,                              .xoff_gen
		.magic_wakeup       (magic_wakeup),       //  output,   width = 1,                              .magic_wakeup
		.magic_sleep_n      (magic_sleep_n),      //   input,   width = 1,                              .magic_sleep_n
		.ff_tx_crc_fwd      (ff_tx_crc_fwd),      //   input,   width = 1,                              .ff_tx_crc_fwd
		.ff_tx_septy        (ff_tx_septy),        //  output,   width = 1,                              .ff_tx_septy
		.tx_ff_uflow        (tx_ff_uflow),        //  output,   width = 1,                              .tx_ff_uflow
		.ff_tx_a_full       (ff_tx_a_full),       //  output,   width = 1,                              .ff_tx_a_full
		.ff_tx_a_empty      (ff_tx_a_empty),      //  output,   width = 1,                              .ff_tx_a_empty
		.rx_err_stat        (rx_err_stat),        //  output,  width = 18,                              .rx_err_stat
		.rx_frm_type        (rx_frm_type),        //  output,   width = 4,                              .rx_frm_type
		.ff_rx_dsav         (ff_rx_dsav),         //  output,   width = 1,                              .ff_rx_dsav
		.ff_rx_a_full       (ff_rx_a_full),       //  output,   width = 1,                              .ff_rx_a_full
		.ff_rx_a_empty      (ff_rx_a_empty),      //  output,   width = 1,                              .ff_rx_a_empty
		.ref_clk            (ref_clk),            //   input,   width = 1,  pcs_ref_clk_clock_connection.clk
		.ff_rx_data         (ff_rx_data),         //  output,  width = 32,                       receive.data
		.ff_rx_eop          (ff_rx_eop),          //  output,   width = 1,                              .endofpacket
		.rx_err             (rx_err),             //  output,   width = 6,                              .error
		.ff_rx_mod          (ff_rx_mod),          //  output,   width = 2,                              .empty
		.ff_rx_rdy          (ff_rx_rdy),          //   input,   width = 1,                              .ready
		.ff_rx_sop          (ff_rx_sop),          //  output,   width = 1,                              .startofpacket
		.ff_rx_dval         (ff_rx_dval),         //  output,   width = 1,                              .valid
		.ff_rx_clk          (ff_rx_clk),          //   input,   width = 1,      receive_clock_connection.clk
		.reset              (reset),              //   input,   width = 1,              reset_connection.reset
		.rx_analogreset     (rx_analogreset),     //   input,   width = 1,                rx_analogreset.rx_analogreset
		.rx_cal_busy        (rx_cal_busy),        //  output,   width = 1,                   rx_cal_busy.rx_cal_busy
		.rx_cdr_refclk      (rx_cdr_refclk),      //   input,   width = 1,                 rx_cdr_refclk.clk
		.rx_digitalreset    (rx_digitalreset),    //   input,   width = 1,               rx_digitalreset.rx_digitalreset
		.rx_is_lockedtodata (rx_is_lockedtodata), //  output,   width = 1,            rx_is_lockedtodata.rx_is_lockedtodata
		.rx_is_lockedtoref  (rx_is_lockedtoref),  //  output,   width = 1,             rx_is_lockedtoref.rx_is_lockedtoref
		.rx_set_locktodata  (rx_set_locktodata),  //   input,   width = 1,             rx_set_locktodata.rx_set_locktodata
		.rx_set_locktoref   (rx_set_locktoref),   //   input,   width = 1,              rx_set_locktoref.rx_set_locktoref
		.rx_recovclkout     (rx_recovclkout),     //  output,   width = 1,     serdes_control_connection.export
		.rxp                (rxp),                //   input,   width = 1,             serial_connection.rxp
		.txp                (txp),                //  output,   width = 1,                              .txp
		.led_crs            (led_crs),            //  output,   width = 1,         status_led_connection.crs
		.led_link           (led_link),           //  output,   width = 1,                              .link
		.led_panel_link     (led_panel_link),     //  output,   width = 1,                              .panel_link
		.led_col            (led_col),            //  output,   width = 1,                              .col
		.led_an             (led_an),             //  output,   width = 1,                              .an
		.led_char_err       (led_char_err),       //  output,   width = 1,                              .char_err
		.led_disp_err       (led_disp_err),       //  output,   width = 1,                              .disp_err
		.ff_tx_data         (ff_tx_data),         //   input,  width = 32,                      transmit.data
		.ff_tx_eop          (ff_tx_eop),          //   input,   width = 1,                              .endofpacket
		.ff_tx_err          (ff_tx_err),          //   input,   width = 1,                              .error
		.ff_tx_mod          (ff_tx_mod),          //   input,   width = 2,                              .empty
		.ff_tx_rdy          (ff_tx_rdy),          //  output,   width = 1,                              .ready
		.ff_tx_sop          (ff_tx_sop),          //   input,   width = 1,                              .startofpacket
		.ff_tx_wren         (ff_tx_wren),         //   input,   width = 1,                              .valid
		.ff_tx_clk          (ff_tx_clk),          //   input,   width = 1,     transmit_clock_connection.clk
		.tx_analogreset     (tx_analogreset),     //   input,   width = 1,                tx_analogreset.tx_analogreset
		.tx_cal_busy        (tx_cal_busy),        //  output,   width = 1,                   tx_cal_busy.tx_cal_busy
		.tx_digitalreset    (tx_digitalreset),    //   input,   width = 1,               tx_digitalreset.tx_digitalreset
		.tx_serial_clk      (tx_serial_clk)       //   input,   width = 1,                 tx_serial_clk.clk
	);

endmodule
